%global momorel 12
%global qtdir %{_libdir}/qt3

Name:           qtparted
Version:        0.4.5
Release: %{momorel}m%{?dist}
Summary:        Partition Magic clone written in C++ using the Qt toolkit

Group:          Applications/System
License:        GPL
URL:            http://qtparted.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
# japanese message files are based on that of KNOPPIX-JP 
Source4: ftp://unit.aist.go.jp/itri/knoppix/pool/base/qtparted/qtparted-locale-ja_0.4.4-0.1.tar.gz 
NoSource: 4
Patch0:         qtparted-0.4.5-desktop.patch
Patch1:         qtparted-tsfile_ja.patch
Patch2:         qtparted-0.4.5-PED_SECTOR_SIZE.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel >= 3.3.7, , qt3-designer, parted-devel >= 1.8.8
BuildRequires:  desktop-file-utils, zlib-devel, libjpeg-devel
BuildRequires:  e2fsprogs-devel, jfsutils, xfsprogs, ntfsprogs
BuildRequires:  automake, perl, autoconf, nkf
Requires:       usermode-gtk, e2fsprogs, jfsutils, xfsprogs, ntfsprogs

%description
QTParted is a Partition Magic clone written in C++ using the Qt toolkit.

%prep
%setup -q -a 4
%patch0 -p1 -b .orig
%patch1 -p1 -b .ja_message
%patch2 -p1 -b .sector
# convert to UTF-8
nkf -w qtparted-locale-ja-0.4.4/qtparted_ja_JP.eucJP.ts > ts/qtparted_ja.ts

%build
export QTDIR="%{qtdir}"

%{__aclocal}
%{__automake} --add-missing --gnu
%{__perl} admin/am_edit
%{__autoconf}

%configure \
  --with-log-dir=%{_localstatedir}/log \
  --disable-reiserfs

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

desktop-file-install \
  --vendor= --mode 644 \
  --dir %{buildroot}%{_datadir}/applications \
    --remove-category QT \
    --add-category Qt \
    --remove-category Application \
  %{buildroot}%{_datadir}/applnk/System/qtparted.desktop
rm -rf %{buildroot}%{_datadir}/applnk
ln -s %{_datadir}/qtparted/pics/qtparted_32.png \
  %{buildroot}%{_datadir}/pixmaps/qtparted.png

# PAM configuration
install -dm 755 %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/security/console.apps/qtparted

## Default configuration
#install -Dpm 0644 %{SOURCE3} \
#  %{buildroot}%{qtdir}/etc/settings/qtpartedrc
#touch %{buildroot}%{qtdir}/etc/settings/.qtpartedrc.lock
#chmod 600 %{buildroot}%{qtdir}/etc/settings/.qtpartedrc.lock

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS debian/changelog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
#%config %{qtdir}/etc/settings/qtpartedrc
#%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%exclude %{_sbindir}/run_qtparted
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/qtparted.png
%exclude %{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%{_datadir}/qtparted/locale/*.qm
%{_mandir}/man1/*

%changelog
* Fri May 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.5-12m)
- rebuild against parted-1.8.8-1m

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.5-11m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.5-10m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.5-9m)
- %%NoSource -> NoSource

* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5-8m)
- update qtparted.pam for new pam

* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.5-7m)
- rebuild against parted-1.8.6

* Wed Feb 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.5-6m)
- rebuild against parted-1.8.2

* Sat Oct 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-5m)
- rebuild against parted-1.7.1
- import qtparted-0.4.5-PED_SECTOR_SIZE.patch from Fedora Extra (0.4.5-9.fc6)

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.5-4m)
- rename category QT to Qt
- remove category Application

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-3m)
- revised qtparted.desktop to exec qtparted instead of /usr/sbin/qtparted in order to reflect a consolehelper setting.

* Tue May 16 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-2m)
- rebuild against parted-1.6.25.1

* Sat May 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-1m)
- import to Momonga (based on Fedora Extra package qtparted-0.4.5-5.fc6.src.rpm)
- add Japanese message file which has been made by KNOPPIX-JP project (qtparted-locale-ja_0.4.4-0.1.tar.gz) although the latest one seems not to be uploaded to anywhere...
- disable reiserfs support since it needs libreiserfs which seems to be obsoleted? (progsreiserfs in http://reiserfs.linux.kiev.ua/)

* Fri Apr 14 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-5
- Rebuild.

* Mon Feb 13 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-4
- Rebuild.

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-3
- Remove BR XFree86-devel.

* Mon Oct 24 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-2
- Rebuild.

* Sat Aug 13 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-1
- Update to 0.4.5.
- Work around unsermake dependency in distributed configure script.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.4.4-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.4.4-2
- rebuilt

* Fri May 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.4-0.fdr.1
- Update to 0.4.4.
- Specfile cleanup.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.5
- Export $QTDIR before running %%configure.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.4
- Add sanity and use mktemp in qtparted_df (bug 388).
- Own stuff under $QTDIR/etc/settings, install default config (bug 388).

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.3
- Move qtparted_df to %%{_libexecdir} and make it executable (#388).
- Require e2fsprogs and jfsutils (#388).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Use PAM/consolehelper instead of kdesu.
- Mark %%lang files as such.
- .desktop entry tweaks.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.2
- BuildRequire e2fsprogs-devel and add -luuid to LIBS (#316).

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.1
- Update to 0.3.1.
- Drop patch, already applied upstream.
- Install man page (#316).

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.2
- Requires kdebase (kdesu).
- Install French locale.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.1
- First build.
